Bug 149301 - (RootkitHunter121) Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and local exploits.
Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Houlette
Fedora Extras Quality Assurance
Withdrawn Pending CVS Commit Access
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 23:00 EST by Greg Houlette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-03 12:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Houlette 2005-02-21 23:00:07 EST
Description:

* Mon Feb 21 2005 Greg Houlette <tamaster@tekarmory.com> - 0:1.2.1-1
- New package version release
- Removed prelink_cleanup.patch (1.1.8) after it was
  merged into upstream sources by Michael Boelen
- Improved RPM description (from rootkit.nl and freshmeat.net)


From upstream release CHANGELOG:

 * 1.2.1 (21/02/2005)
 
 New:
 - Added support for Mandrake 8.1 (i586, no hashes)
 - Added support for FreeBSD 5.3 (i386, with hashes for release version)
 - Added support for Slackware 10.1
 - Added Turkish translation to installer (note: language support
   temporarily disabled)
 - Added support for Fink (MacOS), added /sw/bin to BINPATHS
 - Added contrib directory
 - Added script (contrib) run_rkhunter, by Andy Spiegel
 
 Changes: 
 - Updated hashes for SuSE 9.1, Mandrake 10.0
 - Updated installer (changed copyright line, comments and disabled
   version number, because it can be confusing when installer version
   is another version than main version.)
 - Perform extra check before checking configuration file (to see if
   it exists)
 - Improved logging (show temporary directory, improve output when
   scanning for default rootkit files/directories)
 - Improved output when system is unsupported
 - Stop program when temporary directory doesn't exist instead of
   creating it
 - Updated packages: Apache, Bind, GnuPG, OpenSSL
 - Fixed some typos

 Bugfixes:
 - BINPATHS got overwritten when performing software version check
 - Fixed bug when checking for ssh root user. Thanks to Andy Spiegel
 - Clean up temporary prelink file


Source RPM signed digests:

http://tinyurl.com/4w4re/public/fedora/rkhunter-1.2.1-1.src.md5
Comment 1 Greg Houlette 2005-03-10 23:57:53 EST
I have tested rkhunter v1.2.1 on multiple systems over the last couple
of weeks and it works for me...

If I could get a sponsor and get access, I would check it into CVS
myself.  In the mean time, I think it (and also optionally v1.2.0)
should be put in CVS and built for testing.

What is the new procedure (or wiki description URL)
Comment 2 Greg Houlette 2005-04-03 12:05:17 EDT
During the span of approximately 1 month, there have been 4 new version
releases of rkhunter.  While I was (for the most part) able to keep up
with these new upstream releases (creating new SRPMs within a week of
each release) I have not been able to get these committed into CVS for
package testing.  With the New Extras Package Process still in a state
of 'flux' (http://fedoraproject.org/wiki/NewPackageProcess) combined
with delays that are beyond my control, I've requested and have found
a sponsor for my being granted CVS commit access (now in the queue).
(http://fedoraproject.org/wiki/Extras_2fContributors)  Signed CLAs
have been provided, along with gpg key info, ssh2 key, operating IP,
hostname and username.  rkhunter has NOT been 'orphaned' (yet).

Note You need to log in before you can comment on or make changes to this bug.